unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, DefRegister, Menus, KclDesignPopupMenu,
  KclDesignConsole, ActnList, KclDesignActions;

type
  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtnHelp: TBitBtn;
    DesignCompPopupMenu: TKclDesignCompPopupMenu;
    MenuItem1: TMenuItem;
    Cut1: TMenuItem;
    Copy1: TMenuItem;
    Paste1: TMenuItem;
    Delete1: TMenuItem;
    N1: TMenuItem;
    SelectAll1: TMenuItem;
    Control1: TMenuItem;
    BringtoFront1: TMenuItem;
    SendtoBack1: TMenuItem;
    N2: TMenuItem;
    Position1: TMenuItem;
    Align1: TMenuItem;
    Size1: TMenuItem;
    Scale1: TMenuItem;
    FlipChildren1: TMenuItem;
    All1: TMenuItem;
    Selected1: TMenuItem;
    ActionList1: TActionList;
    KclDesignEditCopy1: TKclDesignEditCopy;
    KclDesignEditCut1: TKclDesignEditCut;
    KclDesignEditPaste1: TKclDesignEditPaste;
    KclDesignEditSelAll1: TKclDesignEditSelAll;
    KclDesignEditDelSel1: TKclDesignEditDelSel;
    KclDesignSelCtrlBringToFront1: TKclDesignSelCtrlBringToFront;
    KclDesignSelCtrlSendToBack1: TKclDesignSelCtrlSendToBack;
    KclDesignSelCtrlFlipSelChildren1: TKclDesignSelCtrlFlipSelChildren;
    KclDesignSelCtrlFlipAllChildren1: TKclDesignSelCtrlFlipAllChildren;
    KclDesignSelCtrlPositionAlign1: TKclDesignSelCtrlPositionAlign;
    KclDesignSelCtrlPositionSize1: TKclDesignSelCtrlPositionSize;
    KclDesignSelCtrlPositionScale1: TKclDesignSelCtrlPositionScale;
    DesignCenter: TKclDesignCenter;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtnHelpClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, DesignForm;

{$R *.dfm}

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  DesignCenter.DesignManager := FormDesign.DesignManager;
  FormDesign.Show;
  FormDesign.SetDesignState(True);
  FormDesign.DesignManager.Designing := True;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  FormDesign.DesignManager.Designing := False;
  FormDesign.SetDesignState(False);
  FormDesign.Hide;
end;

procedure TForm1.BitBtnHelpClick(Sender: TObject);
begin
  FormReadme.Show;
end;


initialization
  DefRegister.RegisterPropEditors;
  DefRegister.RegisterComponentEditors;
  DefRegister.RegisterAttribEditors;
  RegisterClass(TLabel);
  RegisterClass(TEdit);
  RegisterClass(TCheckBox);
  RegisterClass(TRadioButton);
  RegisterClass(TImage);
  RegisterClass(TScrollBar);
  RegisterClass(TGroupBox);
  RegisterClass(TListBox);
  RegisterClass(TSpeedButton);
  RegisterClass(TShape);
end.
